Package es.imim.DISGENET.internal.tables

# Class DisGeNetCyTableBase

java.lang.Object
es.imim.DISGENET.internal.tables.DisGeNetCyTableBase

All Implemented Interfaces:
  `DisGeNETCyTableNodeInterface`

public class DisGeNetCyTableBase extends Object implements DisGeNETCyTableNodeInterface
Class that loads all the data for the table networks.

Author:
  jsauch

## Constructor Summary

Constructors
Constructor
Description
`DisGeNetCyTableBase()`
`DisGeNetCyTableBase(GuiParameters params)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEdgeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`addNodeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`createGdaEdgeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`createVdaEdgeColumns(org.cytoscape.model.CyTable cyTable)`
`void`
`fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)`
`void`
`fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisGeNetCyTableBase

public DisGeNetCyTableBase()

### DisGeNetCyTableBase

public DisGeNetCyTableBase(GuiParameters params)

## Method Details

### addNodeColumns

public void addNodeColumns(org.cytoscape.model.CyTable cyTable)

Specified by:
  `addNodeColumns` in interface `DisGeNETCyTableNodeInterface`

### addEdgeColumns

public void addEdgeColumns(org.cytoscape.model.CyTable cyTable)

Specified by:
  `addEdgeColumns` in interface `DisGeNETCyTableNodeInterface`

### fillNodeColumns

public void fillNodeColumns(org.cytoscape.model.CyTable cyTable, Map<String,Long> attributes) throws DisGeNetException

Specified by:
  `fillNodeColumns` in interface `DisGeNETCyTableNodeInterface`
Throws:
  `DisGeNetException`

### fillEdgeColumns

public void fillEdgeColumns(org.cytoscape.model.CyNetwork cyNetwork, Map<org.cytoscape.model.CyEdge,Map<String,Object>> edgeAttributes)

Specified by:
  `fillEdgeColumns` in interface `DisGeNETCyTableNodeInterface`

### createGdaEdgeColumns

public void createGdaEdgeColumns(org.cytoscape.model.CyTable cyTable)

### createVdaEdgeColumns

public void createVdaEdgeColumns(org.cytoscape.model.CyTable cyTable)